$ErrorActionPreference = "stop";

Open-ELOConnection

$ec = 0;

$folderNames = @('Business Solutions', 'Business Solutions Custom');

$folderNames.GetEnumerator() | ForEach {
    Search-ELOObjects -ParentID "ARCPATH:/Administration/$_" -Documents -EndLevel 10 -AsRepositoryNode | ForEach {
        try {
            $txt=$_.DownloadAsText()
        }
        catch {
            $ec++;
        }
    }
}

Write-Host "Error-Count: " $ec

Close-ELOConnection